7.11. AAlib - Ausgabe im Textmodus
Zurück | Kapitel 7. Videoausgabegeräte | Weiter

## 7.11. AAlib - Ausgabe im Textmodus

AAlib ist eine Bilbiothek, mit der Grafiken im Textmodus angezeigt werden, wobei ein mächtiger Textmodusrenderer angewandt wird. Es gibt SEHR viele Programme, die das bereits unterstützen, wie z.B. Doom, Quake etc. MPlayer enthält einen sehr gut brauchbaren Treiber für AAlib. Wenn `./configure` feststellt, dass die AAlib installiert ist, dann wird anschließend der AAlib-Treiber gebaut.

Du kannst diese Tasten im AA-Fenster benutzen, um die Render-Optionen zu beeinflussen:

Taste | Aktion
--- | ---
1 | Kontrast verringern
2 | Kontrast erhöhen
3 | Helligkeit verringern
4 | Helligkeit erhöhen
5 | Schnelles Rendern an-/ausschalten
6 | Wahl des Farbverteilungsmodus (keiner, Fehlerverteilung, Floyd Steinberg)
7 | Bild invertieren
8 | schaltet zwischen den MPlayer- und den AA-Tastenbelegungen um

Die folgenden Kommandozeilenparamter stehen zur Verfügungung:

`-aaosdcolor=`V``

  OSD-Farbe ändern

`-aasubcolor=`V``

  Farbe der Untertitel ändern,

  `V` kann folgende Werte annehmen: `0` (normal), `1` (dunkel), `2` (fett), `3` (fette Schrift), `4` (negative Farben), `5` (spezial).

Die AAlib selbst bietet ebenfalls eine große Anzahl von Optionen. Hier sind die wichtigsten:

`-aadriver`

  Wählt den empfohlenen aa-Treiber (X11, curses, Linux).

`-aaextended`

  Benutze alle 256 Zeichen.

`-aaeight`

  Benutze 8 Bit ASCII-Zeichen.

`-aahelp`

  Gib alle aalib-Optionen aus.

### Anmerkung

Das Rendern ist sehr CPU-intensiv, vor allem, wenn AA unter X benutzt wird. AAlib braucht auf einer Nicht-Framebuffer-Console am wenigstens CPU-Zeit. Benutze SVGATextMode, um einen möglichst großen Textmodus zu wählen, und genieß den Film! (Hercules-Karten als zweites Ausgabegerät rocken :)) (Aber IMHO kannst du die Option `-vf 1bpp` anwenden, um Grafiken auf hgafb zu bekommen :)

Wenn dein Computer nicht schnell genug ist, um alle Frames anzuzeigen, dann benutze die Option `-framedrop`.

Wenn du auf einem Terminal abspielst, dann erzielst du mit dem Linux- Treiber (`-aadriver linux`) bessere Ergebnisse als mit dem curses- Treiber. Allerdings benötigst du dafür auch Schreibrechte auf `/dev/vcsa`<Terminal>``. Das wird von aalib nicht automatisch festgestellt, aber vo_aa versucht, den besten Modus herauszufinden. Lies http://aa-project.sf.net/tune für weitere Tuningtipps.

Zurück | Nach oben | Weiter
7.10. OpenGL-Ausgabe | Zum Anfang | 7.12. `libcaca` - Color ASCII Art-Bibliothek